Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.commons.business.v1
Class OrganizationIdentificationType

    java.lang.Object
      be.fgov.ehealth.rn.commons.business.v1.OrganizationIdentificationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class OrganizationIdentificationType

extends Object
implements Serializable

Java class for OrganizationIdentificationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrganizationIdentificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="CbeNumber" type="{urn:be:fgov:ehealth:rn:commons:business:v1}CbeNumberType"/>
             <sequence>
               <element name="Sector">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}unsignedShort">
                   </restriction>
                 </simpleType>
               </element>
               <element name="Institution">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}unsignedShort">
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OrganizationIdentificationType()`

Method Summary
`String` | `getCbeNumber()` Gets the value of the cbeNumber property.
`Integer` | `getInstitution()` Gets the value of the institution property.
`Integer` | `getSector()` Gets the value of the sector property.
`void` | `setCbeNumber(String value)` Sets the value of the cbeNumber property.
`void` | `setInstitution(Integer value)` Sets the value of the institution property.
`void` | `setSector(Integer value)` Sets the value of the sector property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrganizationIdentificationType

    public OrganizationIdentificationType()

Method Detail

### getSector

    public Integer getSector()

  Gets the value of the sector property.

  Returns:
    possible object is `Integer`

### setSector

    public void setSector(Integer value)

  Sets the value of the sector property.

  Parameters:
    `value` - allowed object is `Integer`

### getInstitution

    public Integer getInstitution()

  Gets the value of the institution property.

  Returns:
    possible object is `Integer`

### setInstitution

    public void setInstitution(Integer value)

  Sets the value of the institution property.

  Parameters:
    `value` - allowed object is `Integer`

### getCbeNumber

    public String getCbeNumber()

  Gets the value of the cbeNumber property.

  Returns:
    possible object is `String`

### setCbeNumber

    public void setCbeNumber(String value)

  Sets the value of the cbeNumber property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.